Distribution:	CCux Linux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Panorama photo stitcher
Name:		hugin
Version:	2009.4.0
Release:	1
License:	GNU/GPL
URL:		http://hugin.sourceforge.net/
Group:		Graphics   
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# prevent the propietary openGL incarnations
# from being drawn in
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

BuildRequires:	freeglut-devel
BuildRequires:  gettext-devel
BuildRequires:  libXmu-devel

#Automatically resolved build dependencies
BuildRequires: boost-devel
BuildRequires: exiv2-devel
BuildRequires: glew-devel
BuildRequires: glibc-devel
BuildRequires: ilmbase-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpano13-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: OpenEXR-devel
BuildRequires: wxGTK-devel
BuildRequires: zlib-devel

%description
GUI for Panorama Tools, a powerful software package for the creation & processing of panoramic images. It supports most pano tools features and contains a powerful control point picker. Similar to the windows programs PTGui and PTAssembler.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
cmake ..  -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_EXE_LINKER_FLAGS:STRING=-lpthread
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/PTBatcher
%{_bindir}/PTBatcherGUI
%{_bindir}/align_image_stack
%{_bindir}/autooptimiser
%{_bindir}/celeste_standalone
%{_bindir}/fulla
%{_bindir}/hugin
%{_bindir}/hugin_hdrmerge
%{_bindir}/hugin_stitch_project
%{_bindir}/matchpoint
%{_bindir}/nona
%{_bindir}/nona_gui
%{_bindir}/pto2mk
%{_bindir}/tca_correct
%{_bindir}/vig_optimize
%{_bindir}/autopano-noop.sh
%{_bindir}/calibrate_lens
%{_bindir}/cpclean
%{_mandir}/man1/PTBatcherGUI.1.gz
%{_mandir}/man1/align_image_stack.1.gz
%{_mandir}/man1/autooptimiser.1.gz
%{_mandir}/man1/celeste_standalone.1.gz
%{_mandir}/man1/fulla.1.gz
%{_mandir}/man1/hugin.1.gz
%{_mandir}/man1/hugin_hdrmerge.1.gz
%{_mandir}/man1/hugin_stitch_project.1.gz
%{_mandir}/man1/nona.1.gz
%{_mandir}/man1/nona_gui.1.gz
%{_mandir}/man1/pto2mk.1.gz
%{_mandir}/man1/tca_correct.1.gz
%{_mandir}/man1/vig_optimize.1.gz
%{_mandir}/man1/calibrate_lens.1.gz
%{_mandir}/man1/cpclean.1.gz
%_datadir/hugin
%_datadir/locale/*/LC_MESSAGES/hugin.mo
%_datadir/applications/PTBatcherGUI.desktop
%_datadir/applications/hugin.desktop
%_datadir/icons/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%_datadir/mime/packages/hugin.xml
%_datadir/pixmaps/hugin.png
%{_libdir}/libceleste.so
%{_libdir}/libceleste.so.0.0
%{_libdir}/libhuginANN.so
%{_libdir}/libhuginANN.so.0.0
%{_libdir}/libhuginbase.so
%{_libdir}/libhuginbase.so.0.0
%{_libdir}/libhuginvigraimpex.so
%{_libdir}/libhuginvigraimpex.so.0.0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 2009.4.0-1
- Version update
* Sun Aug 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-1
- Version update
* Wed Dec 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- Initial Release
- beta 4
